# Created by pyp2rpm-3.2.2
%global pypi_name certbot-dns-luadns

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           python-%{pypi_name}
Version:        0.21.1
Release:        1%{?dist}
Summary:        LuaDNS Authenticator plugin for Certbot

License:        ASL 2.0
URL:            https://github.com/certbot/certbot
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-certbot = 0.21.1
BuildRequires:  python2-devel
BuildRequires:  python2-dns-lexicon
BuildRequires:  python2-setuptools
BuildRequires:  python-zope-interface

%if %{with python3}
BuildRequires:  python2-sphinx
BuildRequires:  python3-certbot = 0.21.1
BuildRequires:  python3-devel
BuildRequires:  python3-dns-lexicon
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface
%endif

%description
LuaDNS Authenticator plugin for Certbot

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-acme = 0.21.1
Requires:       python2-certbot = 0.21.1
Requires:       python2-dns-lexicon
Requires:       python2-mock
Requires:       python2-setuptools >= 1.0
Requires:       python-zope-interface
Requires:       python2-setuptools

%description -n python2-%{pypi_name}
LuaDNS Authenticator plugin for Certbot

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-acme = 0.21.1
Requires:       python3-certbot = 0.21.1
Requires:       python3-dns-lexicon
Requires:       python3-mock
Requires:       python3-setuptools >= 1.0
Requires:       python3-zope-interface
Requires:       python3-setuptools

%description -n python3-%{pypi_name}
LuaDNS Authenticator plugin for Certbot

%package -n python-%{pypi_name}-doc
Summary:        certbot-dns-luadns documentation
%description -n python-%{pypi_name}-doc
Documentation for certbot-dns-luadns
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%if %{with python3}
%py3_build
# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.

%if %{with python3}
%py3_install
%endif

%py2_install


%check
%if %{with python3}
%{__python2} setup.py test
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python2_sitelib}/certbot_dns_luadns
%{python2_sitelib}/certbot_dns_luadns-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/certbot_dns_luadns
%{python3_sitelib}/certbot_dns_luadns-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html 
%endif

%changelog
* Wed Feb 21 2018 Nick Bebout - 0.21.1-1
- Initial package.
